namespace XGame.Framework.FGUI
{
    public static class FguiUtils
    {
        /// <summary>
        /// 包名转ui的描述文件名(Description file data)
        /// fgui的ui数据保存在pkgName_fui.bytes文件里
        /// </summary>
        /// <param name="pkgName"></param>
        /// <returns></returns>
        public static string ToDescFileName(string pkgName)
        {
            return $"{pkgName}_fui";
        }
        /// <summary>
        /// 包名+资源名转ui路径
        /// </summary>
        /// <param name="pkgName"></param>
        /// <param name="resName"></param>
        /// <returns></returns>
        public static string ToUrl(string pkgName, string resName)
        {
            return $"ui://{pkgName}/{resName}";
        }

    }
}